--- setup.py	2015-06-11 16:30:04.000000000 -0400
+++ setup.py	2017-09-30 21:44:24.000000000 -0400
@@ -24,13 +24,12 @@
 
 setup(name="Bcfg2",
       version=__version__,  # Defined in src/lib/Bcfg2/version.py
-      description="Bcfg2 Server",
+      description="Bcfg2 Client",
       author="Narayan Desai",
       author_email="desai@mcs.anl.gov",
       # nosetests
       test_suite='nose.collector',
-      packages=["Bcfg2",
-                "Bcfg2.Client",
+      packages=["Bcfg2.Client",
                 "Bcfg2.Client.Tools",
                 "Bcfg2.Client.Tools.POSIX",
                 "Bcfg2.Reporting",
@@ -38,44 +37,22 @@
                 "Bcfg2.Reporting.Transport",
                 "Bcfg2.Reporting.migrations",
                 "Bcfg2.Reporting.templatetags",
-                'Bcfg2.Server',
-                "Bcfg2.Server.Admin",
-                "Bcfg2.Server.FileMonitor",
-                "Bcfg2.Server.Hostbase",
-                "Bcfg2.Server.Hostbase.hostbase",
-                "Bcfg2.Server.Lint",
-                "Bcfg2.Server.Plugin",
-                "Bcfg2.Server.Plugins",
-                "Bcfg2.Server.Plugins.Packages",
-                "Bcfg2.Server.Plugins.Cfg",
-                "Bcfg2.Server.Reports",
-                "Bcfg2.Server.Reports.reports",
-                "Bcfg2.Server.Snapshots",
                 ],
+      py_modules = ["Bcfg2.Options",
+                    "Bcfg2.Proxy",
+                    "Bcfg2.Compat",
+                    "Bcfg2.Logger",
+                    "Bcfg2.Utils",
+                    "Bcfg2.version",
+                    ],
       install_requires=inst_reqs,
       tests_require=['mock', 'nose', 'sqlalchemy'],
       package_dir={'': 'src/lib', },
       package_data={'Bcfg2.Reporting': ['templates/*.html',
                                         'templates/*/*.html',
                                         'templates/*/*.inc']},
-      scripts=glob('src/sbin/*'),
-      data_files=[('share/bcfg2/schemas',
-                   glob('schemas/*.xsd')),
-                  ('share/bcfg2/xsl-transforms',
-                   glob('reports/xsl-transforms/*.xsl')),
-                  ('share/bcfg2/xsl-transforms/xsl-transform-includes',
-                   glob('reports/xsl-transforms/xsl-transform-includes/*.xsl')),
-                  ('share/bcfg2', glob('reports/reports.wsgi')),
-                  ('share/man/man1', glob("man/bcfg2.1")),
-                  ('share/man/man5', glob("man/*.5")),
-                  ('share/man/man8', glob("man/*.8")),
-                  ('share/bcfg2/Hostbase/templates',
-                   glob('src/lib/Bcfg2/Server/Hostbase/hostbase/webtemplates/*.*')),
-                  ('share/bcfg2/Hostbase/templates/hostbase',
-                   glob('src/lib/Bcfg2/Server/Hostbase/hostbase/webtemplates/hostbase/*')),
-                  ('share/bcfg2/Hostbase/repo',
-                   glob('src/lib/Bcfg2/Server/Hostbase/templates/*')),
-                  ('share/bcfg2/site_media',
-                   glob('reports/site_media/*')),
-                  ]
+      scripts = glob('src/sbin/bcfg2'),
+      data_files = [('share/man/man1', glob("man/bcfg2.1")),
+                    ('share/man/man5', glob("man/*.5")),
+                   ]
       )
